=== debian/changelog ===
pybind11-json (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7
  * Drop arch-independent install patch, upstreamed
  * Version cmake dependency for use of arch_independent

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 12:35:50 +0000

pybind11-json (0.2.6-3) unstable; urgency=medium

  * Add dependency on default libpython3.x-dev, since the cmake files embed
    the include path for the default python.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Nov 2020 16:03:07 +0000

pybind11-json (0.2.6-2) unstable; urgency=medium

  * Set ARCH_INDEPENDENT in CMakeLists so that downstream builds don't fail
    for non-64bit platforms

 -- Gordon Ball <gordon@chronitis.net>  Thu, 29 Oct 2020 19:08:35 +0000

pybind11-json (0.2.6-1) unstable; urgency=medium

  * Initial release. (Closes: #973040)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 27 Oct 2020 19:39:45 +0000
