=== debian/control ===
Source: pybind11-json
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.14~),
               pybind11-dev,
               nlohmann-json3-dev,
               python3-dev,
               googletest <!nocheck>,
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/pybind11/pybind11_json
Vcs-Git: https://salsa.debian.org/science-team/pybind11-json.git
Vcs-Browser: https://salsa.debian.org/science-team/pybind11-json
Rules-Requires-Root: no

Package: pybind11-json-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, pybind11-dev, nlohmann-json3-dev, ${python3:lib}
Description: Bridge between nlohmann::json and pybind11 (headers)
 Contains C++ headers for automatically converting between nlohmann::json
 and py::object in either direction.
