=== debian/watch ===
version=4
https://github.com/pybind/pybind11_json/tags .*/archive/v?([\d\.-]+)\.tar\.gz
