## pybind11-json 0.2.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(PYBIND11_JSON_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
 set(${PROJECT_NAME}_VERSION_MAJOR 0)
 set(${PROJECT_NAME}_VERSION_MINOR 2)
-set(${PROJECT_NAME}_VERSION_PATCH 7)
+set(${PROJECT_NAME}_VERSION_PATCH 12)
 set(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH})
 
 ################
@@ -22,7 +22,7 @@
 set(pybind11_REQUIRED_VERSION 2.2.4)
 set(nlohmann_json_REQUIRED_VERSION 3.2.0)
 
-if (NOT TARGET pybind11)
+if (NOT TARGET pybind11::headers)
 find_package(pybind11 ${pybind11_REQUIRED_VERSION} REQUIRED)
 endif()
 if (NOT TARGET nlohmann_json)
