=== debian/changelog ===
pybind11-json (0.2.12-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Cherry-pick upstream commit to fix FTBFS with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Feb 2022 07:03:35 +0000

pybind11-json (0.2.12-1) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Fix typo in Homepage

  [ Gordon Ball ]
  * New upstream version 0.2.12

 -- Gordon Ball <gordon@chronitis.net>  Mon, 17 Jan 2022 16:38:47 +0000

pybind11-json (0.2.11-1ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commit to fix FTBFS with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:57:54 +0000

pybind11-json (0.2.11-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:18:11 +0000

pybind11-json (0.2.11-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * New upstream version 0.2.11

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 19:44:35 +0000
