=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pybind11-json
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.14~),
@@ -10,7 +11,7 @@
                googletest <!nocheck>,
 Standards-Version: 4.5.0
 Section: libs
-Homepage: https://github.com/pybind11/pybind11_json
+Homepage: https://github.com/pybind/pybind11_json
 Vcs-Git: https://salsa.debian.org/science-team/pybind11-json.git
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11-json
 Rules-Requires-Root: no
