=== debian/changelog ===
pybind11-json (0.2.13-5) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4. Closes: #1113432.
  * d/control: Drop <!nocheck> from googletest. Closes: #1116841.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 23:20:00 +0200

pybind11-json (0.2.13-4) unstable; urgency=medium

  * Rebuild with Python 3.13 as default

 -- Graham Inggs <ginggs@debian.org>  Tue, 07 Jan 2025 13:10:03 +0000

pybind11-json (0.2.13-3) unstable; urgency=medium

  * Rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@debian.org>  Mon, 24 Jun 2024 15:13:58 +0000

pybind11-json (0.2.13-2) unstable; urgency=medium

  * Rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Jan 2023 08:26:59 +0000

pybind11-json (0.2.13-1) unstable; urgency=medium

  * New upstream version 0.2.13
  * Drop python 3.10 compatibility backport

 -- Gordon Ball <gordon@chronitis.net>  Thu, 25 Aug 2022 23:24:43 +0200

pybind11-json (0.2.12-2) unstable; urgency=medium

  * Backport upstream fix for python 3.10 compatibility (via patch already
    applied in 0.2.12-1ubuntu1)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 28 Mar 2022 15:23:22 +0000
