=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DGTEST_SRC_DIR=/usr/src/googletest

override_dh_auto_test:
	obj-*/test/test_pybind11_json

override_dh_gencontrol:
	echo "python3:lib=lib$(shell py3versions -d)-dev" >> debian/pybind11-json-dev.substvars
	dh_gencontrol
