=== debian/changelog ===
pybind11-json (0.2.15-1) unstable; urgency=medium

  * Non-maintainer upload by request from Gordon. Closes: #1119681
  * New upstream release.
  * debian/control:
   - Build-Depends on nlohmann-json3.12-dev instead of nlohmann-json3-dev
   - pybind11-json-dev:
     + Depends on nlohmann-json3.12-dev instead of nlohmann-json3-dev

 -- Bill Allombert <ballombe@debian.org>  Sat, 01 Nov 2025 10:58:51 +0100
