=== debian/watch ===
version=4
https://github.com/pybind/pybind11_json/tags .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
